Execute Filter Count (POST)
curl --request POST \
--url http://{host}:{port}/{contextPath}/filter/{id}/count \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"assignee": "jonny1",
"taskDefinitionKey": "aTaskKey"
}
'import requests
url = "http://{host}:{port}/{contextPath}/filter/{id}/count"
payload = {
"assignee": "jonny1",
"taskDefinitionKey": "aTaskKey"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({assignee: 'jonny1', taskDefinitionKey: 'aTaskKey'})
};
fetch('http://{host}:{port}/{contextPath}/filter/{id}/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1
}{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}Filter
Execute Filter Count (POST)
Executes the saved query of the filter by id and returns the count. This method is slightly more powerful then the Get Execute Filter Count method because it allows to extend the saved query of the filter.
POST
/
filter
/
{id}
/
count
Execute Filter Count (POST)
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the filter to execute.
Body
application/json
A JSON object which corresponds to the type of the saved query of the filter, i.e., if the resource type of the filter is Task the body should form a valid task query corresponding to the Task resource.
The body is of type object.
Response
Request successful.
The number of matching instances.
⌘I